%define name gnuserv
%define version 3.12.4
%define release 3mdk

Summary: Allows you to attach to an already running Emacs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: emacs-gnuserv-start.el
Patch0: gnuserv-3.12.4-configure-destdir.patch.bz2
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: emacs
Url: http://meltin.net/hacks/emacs/

%description
gnuserv allows you to attach to an already running Emacs. This allows
external programs to make use of Emacs' editing capabilities. It is
like GNU Emacs' emacsserver/server.el, but has many more features.

You do not need this package if you use XEmacs; it already includes
gnuserv and gnuclient. If you want to use gnuserv with both GNU Emacs
and XEmacs, you will only be able to use the alternative
/usr/bin/gnuclient with one flavor of emacs; you will have to use
either gnuclient.xemacs or gnuclient.emacs for the other flavor.

%prep
%setup -q
%patch -p1

%build
%configure
make EMACS=emacs

%install
rm -rf $RPM_BUILD_ROOT
lispdir=%{buildroot}/%{_datadir}/emacs/site-lisp/gnuserv
emacsdir=%buildroot%{_sysconfdir}/emacs/site-start.d
man1dir=%buildroot/%{_mandir}/man1

mkdir -p $lispdir $man1dir $emacsdir

%makeinstall man1dir=$man1dir
install -m644 devices.el* gnuserv-compat.el* gnuserv.el* $lispdir
install -m644 %{SOURCE1} $emacsdir/%{name}.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%{_bindir}/*
%{_datadir}/emacs/site-lisp/%{name}
%{_mandir}/*/*

%changelog
* Thu Nov 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.12.4-3mdk
- Add URL.
- Defalias server-start gnuserv-start when installing.

* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.12.4-2mdk
- Fix DESTDIR with makeinstall.

* Mon Oct  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.12.4-1mdk
- First version.

# end of file
